# AvvyLayer 1

## Подготовка и запуск

```bash
python3.9 -m venv .env
source .env/bin/activate
pip install -r requirements
python src/send_tx.py
```
## Сделать Protobuf модели

<!-- python -m grpc_tools.protoc -I. --python_out=. --grpc_python_out=. src/proto/l_3_node.proto
python -m grpc_tools.protoc -I./proto/voter --python_out=. --grpc_python_out=. rollup.proto -->
python -m grpc_tools.protoc -I. --python_out=. --grpc_python_out=. voter/*

## Запрость методы gRPC

grpcurl -plaintext localhost:9090 list
grpcurl -plaintext localhost:9090 describe cosmos.tx.v1beta1.Service
grpcurl -plaintext -d '{"address":"$MY_VALIDATOR"}' localhost:9090 cosmos.tx.v1beta1.Service
grpcurl -plaintext -d '{"tx_bytes":"{{txBytes}}","mode":"BROADCAST_MODE_SYNC"}' localhost:9090 cosmos.tx.v1beta1.Service/BroadcastTx