from _transaction import Transaction, privkey_to_pubkey
from _wallet import pubkey_to_address, seed_to_privkey
import httpx
import base64
import hashlib
import json
from typing import Any
from google.protobuf.json_format import Parse
from proto.l_3_node_pb2 import L3Node


def sendTx():

    seed = ("improve prefer dinner decorate room agree reward sister menu science tornado tuition concert lava forum below pistol owner pledge that parent spend vanish head")

    try:
        privkey = seed_to_privkey(seed, path="m/44'/118'/0'/0/0")
    except BIP32DerivationError:
        print("No valid private key in this derivation path!")

    pubkey = privkey_to_pubkey(privkey)
    addr = pubkey_to_address(pubkey)
    tx = Transaction(
        privkey=privkey,
        account_num=11335,
        sequence=0,
        fee=1000,
        gas=70000,
        memo="",
        chain_id="",
        sync_mode="sync",
    )

    tx.add_l3_node()
    print(f'\nMessage with msg Addl3Node: {tx}')
    
    sign_message = tx._sign()
    print(f'\nSigned messaged: {sign_message}')

    pushable_tx = tx.get_pushable()
    print(f'\nPushable: {pushable_tx}')

    rest_api = "http://159.223.19.171:1317/cosmos/tx/v1beta1/txs"
    # tendermint_api = "http://159.223.19.171:26657/"
    # curl -X POST http://159.223.19.171:1317/cosmos/tx/v1beta1/txs -d @avvy.json
    res = httpx.post(rest_api, data=pushable_tx)
    print(res)

    return


if __name__ == '__main__':
    print("Start")
    sendTx()
